Bug 465189 - uvcvideo fails to resume
uvcvideo fails to resume
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-01 19:43 EDT by Bryan O'Sullivan
Modified: 2009-12-18 01:28 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:28:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryan O'Sullivan 2008-10-01 19:43:21 EDT
Description of problem:

If I suspend to disk and resume, I get the following dmesg entries:

hub 1-0:1.0: port 1 status 0000.0100 after resume, -19
usb 1-1: can't resume, status -19
hub 1-0:1.0: logical disconnect on port 1
pm_op(): usb_dev_restore+0x0/0x10 returns -19
PM: Device 1-1 failed to restore: error -19
ehci_hcd 0000:00:1a.7: devpath 6 ep0out 3strikes
uvcvideo: Failed to query (1) UVC control 2 (unit 0) : -71 (exp. 26).
uvcvideo 1-6:1.1: resume error -5
PM: Image restored successfully.
Restarting tasks ... <7>hub 1-0:1.0: state 7 ports 6 chg 0002 evt 0002
hub 1-0:1.0: port 1, status 0100, change 0000, 12 Mb/s
usb 1-1: USB disconnect, address 4
usb 1-1: unregistering device
usb 1-1: usb_disable_device nuking all URBs
usb 1-1: unregistering interface 1-1:1.0
usb 1-1:1.0: uevent
usb 1-1: uevent


Version-Release number of selected component (if applicable):

kernel-2.6.27-0.329.rc6.git2.fc10.x86_64

How reproducible:

100%

Steps to Reproduce:
1. Suspend to disk.
2. Resume.
3. No camera device.

Doing an rmmod/modprobe cycle doesn't seem to help.
Comment 1 Pete Zaitcev 2008-10-04 12:45:58 EDT
As much as it is tempting to blame the uvcvideo, looks like the
core failed to resume the port and driver has done what it could
to re-awaken the device.

Bryan, does the camera work afterwards, or it requires physical
unplug-replug to work?
Comment 2 Bryan O'Sullivan 2008-10-04 13:27:01 EDT
Hi, Pete -

The camera doesn't work afterwards. It's built into the laptop's lid, so I can't do an unplug/replug on it.
Comment 3 Pete Zaitcev 2008-10-04 14:35:15 EDT
A built-in, so I cannot buy it? Just my luck.

Bryan, please do this for me: capture two usbmon traces, one where it's
enumerated normally, and the one across the suspend/resume. There's a
howto in /usr/share/doc/kernel-doc-2.6.27/Documentation/usb/usbmon.txt.

For the first run, find out what bus the cam is on (e.g. ehci or
or uhci/ohci) by looking at /proc/bus/usb/devices (come to think of
it, attach it to the bug for the reference, please). I expect it
to be ehci. If so, run rmmod uhci_hcd; rmmod ohci_hcd -- this will
prevent both hw and sw fallback from confusing us. Then, start
cat /sys/kernel/debug/usbmon/0u > xxx1. Run rmmod ehci_hcd &&
modprobe ehci_hcd. Wait for the camera to come up (it does, right?),
kill the cat. Save the trace.

If it does not come up, we have our case and suspend/resume was
a red herring. Do not proceed.

For the second run, start cat as before, only >xxx2. Suspend, resume,
kill the cat, save the trace. Verify that the camera is dead.
Also, please save the complete dmesg without edits.

I'll read the traces and try to find what we do differently for
the resume.
Comment 4 Pete Zaitcev 2008-10-07 20:01:39 EDT
Bryan, please let me know if this kind of debugging is too onerous for you.
I may be able to cobble together a test platform by buying a uvc-compatible
webcam. Keep in mind though, such things commonly fail to reproduce with
a slightest deviation.
Comment 5 Bryan O'Sullivan 2008-10-07 20:31:37 EDT
It should be doable, but I just had a hand operation today so it will be a few days before I can do anything.
Comment 6 Bug Zapper 2008-11-25 22:26:22 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-11-18 03:27:27 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-12-18 01:28:36 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.